Package org.apache.calcite.avatica

## Class MetaImpl.MetaClientInfoProperty

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaClientInfoProperty

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaClientInfoProperty
    extends java.lang.Object

Metadata describing a client info property.

### Field Summary

Fields
`java.lang.String` `defaultValue`
`java.lang.String` `description`
`int` `maxLen`
`java.lang.String` `name`

### Constructor Summary

Constructors
`MetaClientInfoProperty​(java.lang.String name, int maxLen, java.lang.String defaultValue, java.lang.String description)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

#### maxLen

    public final int maxLen

#### defaultValue

    public final java.lang.String defaultValue

#### description

    public final java.lang.String description

### Constructor Detail

#### MetaClientInfoProperty

    public MetaClientInfoProperty​(java.lang.String name,
                                  int maxLen,
                                  java.lang.String defaultValue,
                                  java.lang.String description)